@import '../../../../public/assets/styles/variables';
@import '../../../../public/assets/styles/functions';

.header {
    position: sticky;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1.1vw 8.3vw;
    background-color: #ffffff;
    @media (max-width: 799px) {
        padding: vw-m(15px) vw-m(28px); 
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.05);
    }
    &__logo {
        width: get-vw(102px);
        height: auto;
        @media (max-width: 1920px) {
            width: 102px;
        }
    }
    &__right-part {
        display: grid;
        grid-auto-flow: column;
        grid-template-rows: 1fr;
        grid-template-columns: 1fr;
        grid-gap: get-vw(102px);
    }
    &__cart {
        display: grid;
        grid-auto-flow: column;
        grid-template-rows: 1fr;
        grid-template-columns: 1fr;
        grid-gap: get-vw(57px);
        align-items: center;
    }
    &__phone a {
        font-weight: 600;
        font-size: get-rem(16px);
        line-height: 1.3;
        color: $accent-color;
        @media (max-width: 799px) {
            display: none;
        }
    }
  }
  
  .header-nav {
    display: grid;
    grid-auto-flow: column;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr;
    grid-gap: get-vw(83px);
    align-items: center;
    @media (max-width: 799px) {
        display: none;
    }
    &__link {
        font-family: 'Roboto';
        font-weight: normal;
        font-size: get-rem(16px);
        line-height: get-rem(22px);
        color: $text-color;
        cursor: pointer;
    }
  }

  .hamburger {
    display: none;
    width: 24px;
    @media (max-width: 799px) {
        display: block;
    }
    &__line {
        width: 100%;
        height: 3px;
        margin-bottom: 5px;
        background-color: $accent-color;
        &:last-child {
            margin-bottom: 0;
        }
    }
  }
  
  .sidebar {
    width: 45%;
    @media (max-width: 470px) {
      width: 57%;
    }
  }
  
  .sidebar-content {
    height: 100%;
    margin: vw-m(60px) vw-m(30px);
    display: flex;
    flex-direction: column;
    &__item {
        margin-bottom: vw-m(30px);
        font-family: 'Roboto';
        font-style: normal;
        font-weight: normal;
        font-size: get-rem(16px);
        line-height: 1;
        color: $text-color;
        &:last-child {
            margin-bottom: 0;
        }
    }
    &__phone {
      flex-grow: 3;
      display: flex;
      align-items: flex-end;
      a {
        font-weight: 600;
        font-size: 1rem;
        line-height: 1.3;
        color: #4b9a1f;
      }
    }
  }